import { ButtonInteraction, GuildMember } from 'discord.js';
/**
 * **Documentation Url** of the options: *https://simplyd.js.org/docs/handler/manageGiveaway#managegiveawayoptions*
 */
export type manageGiveawayOptions = {
    strict?: boolean;
};
/**
 * **Documentation Url** of the resolve: https://simplyd.js.org/docs/handler/manageGiveaway#rerollresolve
 */
export type RerollResolve = {
    type?: 'Reroll';
    user?: GuildMember[];
    url?: string;
};
/**
 * **Documentation Url** of the resolve: https://simplyd.js.org/docs/handler/manageGiveaway#endresolve
 */
export type EndResolve = {
    type?: 'End';
    user?: GuildMember[];
    url?: string;
};
/**
 * A Giveaway Handler for **simplydjs giveaway system.**
 * @param button
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/handler/manageGiveaway
 * @example simplydjs.manageGiveaway(interaction)
 */
export declare function manageGiveaway(button: ButtonInteraction, options?: manageGiveawayOptions): Promise<RerollResolve | EndResolve>;
